# xarray.Dataset.assign_attrs

`Dataset.``assign_attrs`(*args, **kwargs)

  Assign new attrs to this object.

  Returns a new object equivalent to `self.attrs.update(*args, **kwargs)`.

  Parameters:

  - args (positional arguments passed into `attrs.update`.) –
  - kwargs (keyword arguments passed into `attrs.update`.) –

  Returns: | assigned – A new object with the new attrs in addition to the existing data.
  Return type: | same type as caller

  See also

  `Dataset.assign()`